summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorxudan <xudan16@huawei.com>2017-03-30 06:39:18 +0000
committerxudan <xudan16@huawei.com>2017-03-30 06:39:18 +0000
commit38faec3d879696191f9dba04508c616699c62445 (patch)
tree1db70ca1fdebe78f40db3607d5a35a9600af39a9
parente0f4b3a6f279e8e3f4bc05307d60d6983cc60735 (diff)
dovetail tool: support centos 7
JIRA: DOVETAIL-383 The script launch_db.sh can just support ubuntu now. Make it support centos 7. Change-Id: Ic6123ac82cb81bacb2d0c2d394619b8d8d7b3296 Signed-off-by: xudan <xudan16@huawei.com>
-rwxr-xr-xutils/launch_db.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/utils/launch_db.sh b/utils/launch_db.sh
index 008c9600..f3681665 100755
--- a/utils/launch_db.sh
+++ b/utils/launch_db.sh
@@ -82,9 +82,20 @@ echo "================================="
echo "Upload default project info to DB"
echo "================================="
-# install python packages
-sudo apt-get update > /dev/null
-sudo apt-get install -y python-pip > /dev/null
+# For Ubuntu, there is file /etc/lsb-release
+# For Centos and redhat, there is file /etc/redhat-release
+if [ -f /etc/lsb-release ]; then
+ sudo apt-get update > /dev/null
+ sudo apt-get install -y python-pip > /dev/null
+elif [ -f /etc/redhat-release ]; then
+ sudo yum -y update > /dev/null
+ sudo yum -y install epel-release > /dev/null
+ sudo yum -y install python-pip > /dev/null
+else
+ echo "This operating system is not currently supported."
+ exit 1
+fi
+
pip install requests > /dev/null
echo "Init DB info..."